CADDY-FILE-SERVER(1)

NAME

caddy-file-server - Spins up a production-ready file server

SYNOPSIS

caddy file-server [--domain <example.com>] [--root <path>] [--listen <addr>] [--browse] [--access-log]

DESCRIPTION

A simple but production-ready file server. Useful for quick deployments, demos, and development. The listener's socket address can be customized with the --listen flag. If a domain name is specified with --domain, the default listener address will be changed to the HTTPS port and the server will use HTTPS. If using a public domain, ensure A/AAAA records are properly configured before using this option. If --browse is enabled, requests for folders without an index file will respond with a file listing.

OPTIONS

--access-log
    Enable the access log

--browse
    Enable directory browsing

--domain
    Domain name at which to serve the files

--listen
    The address to which to bind the listener

--root
    The path to the root of the site

--templates
    Enable template rendering

SEE ALSO

caddy-adapt(1), caddy-caddy(1), caddy-environ(1), caddy-fmt(1), caddy-hash-password(1), caddy-help(1), caddy-list-modules(1), caddy-man(1), caddy-reload(1), caddy-reverse-proxy(1), caddy-run(1), caddy-start(1), caddy-stop(1), caddy-trust(1), caddy-untrust(1), caddy-validate(1), caddy-version(1), caddy(1)

DOCUMENTATION

Full documentation is available at: https://caddyserver.com/docs/

VERSION

2.4.5-1

BUGS

Report Bugs to: https://github.com/caddyserver/caddy

COPYRIGHT

(c) Matthew Holt and The Caddy Authors